Bug 732807 - Heavy use of overloading causes g++ memory usage to skyrocket
Summary: Heavy use of overloading causes g++ memory usage to skyrocket
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc
Version: 6.1
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 6.2
Assignee: Jakub Jelinek
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 651098
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 17:01 UTC by Jakub Jelinek
Modified: 2011-12-06 16:18 UTC (History)
7 users (show)

Fixed In Version: gcc-4.4.6-3.el6
Doc Type: Bug Fix
Doc Text:
The C++ front-end used to consume lots of memory on codebases that used overloading heavily, with hundreds or more overloads of the same function or method. This lead to slow compile time that used lots of system resources. The front-end has been improved to use far less resources on such codebases.
Clone Of: 651098
Environment:
Last Closed: 2011-12-06 16:18:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1644 normal SHIPPED_LIVE gcc bug fix and enhancement update 2011-12-06 01:34:32 UTC

Comment 1 Jakub Jelinek 2011-08-24 16:14:13 UTC
Backported to 4.4-RH branch:
http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=178042

Comment 5 Jakub Jelinek 2011-11-28 13:44:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The C++ front-end used to consume lots of memory on codebases that used overloading heavily, with hundreds or more overloads of the same function or method.  This lead to slow compile time that used lots of system resources.  The front-end has been improved to use far less resources on such codebases.

Comment 6 errata-xmlrpc 2011-12-06 16:18:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1644.html


Note You need to log in before you can comment on or make changes to this bug.